Halide 22.0.0 Halide compiler and libraries

Public Attributes | List of all members
Halide::Runtime::Internal::BlockRegion Struct Reference

`#include <memory_resources.h>`

## Public Attributes
MemoryRegion | memory
uint32_t | usage_count = 0
AllocationStatus | status = AllocationStatus::InvalidStatus
BlockRegion * | next_ptr = nullptr
BlockRegion * | prev_ptr = nullptr
BlockResource * | block_ptr = nullptr

## Detailed Description

Definition at line 112 of file memory_resources.h.

## Member Data Documentation

## ◆ memory

MemoryRegion Halide::Runtime::Internal::BlockRegion::memory

Definition at line 113 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::RegionAllocator::collect(), and Halide::Runtime::Internal::RegionAllocator::reserve().

## ◆ usage_count

uint32_t Halide::Runtime::Internal::BlockRegion::usage_count = 0

Definition at line 114 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::RegionAllocator::collect(), Halide::Runtime::Internal::RegionAllocator::reclaim(), Halide::Runtime::Internal::RegionAllocator::release(), and Halide::Runtime::Internal::RegionAllocator::retain().

## ◆ status

AllocationStatus Halide::Runtime::Internal::BlockRegion::status = AllocationStatus::InvalidStatus

Definition at line 115 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::RegionAllocator::collect().

## ◆ next_ptr

BlockRegion* Halide::Runtime::Internal::BlockRegion::next_ptr = nullptr

Definition at line 116 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::RegionAllocator::collect(), Halide::Runtime::Internal::RegionAllocator::destroy(), and Halide::Runtime::Internal::RegionAllocator::release().

## ◆ prev_ptr

BlockRegion* Halide::Runtime::Internal::BlockRegion::prev_ptr = nullptr

Definition at line 117 of file memory_resources.h.

## ◆ block_ptr

BlockResource* Halide::Runtime::Internal::BlockRegion::block_ptr = nullptr

Definition at line 118 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::RegionAllocator::collect(), Halide::Runtime::Internal::RegionAllocator::find_allocator(), Halide::Runtime::Internal::RegionAllocator::reclaim(), Halide::Runtime::Internal::RegionAllocator::release(), and Halide::Runtime::Internal::RegionAllocator::retain().

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_resources.h